%define realname kdesdk-kioslaves

Name: kde-sdk-kioslaves
Summary: K Desktop Environment - Software Development Kit
Version: 15.04.3
Group: Graphical desktop/KDE4
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: subversion-devel
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer
Obsoletes:	kde-sdk-devel

%description
Software Development Kit for the K Desktop Environment.

%files
%_kde_bindir/kio_svn_helper
%_kde_appsdir/kio_perldoc/pod2html.pl
%_kde_libdir/kde4/kded_ksvnd.so
%_kde_libdir/kde4/kio_svn.so
%_kde_libdir/kde4/kio_perldoc.so
%_kde_iconsdir/hicolor/*/actions/*.png
%_kde_iconsdir/hicolor/*/actions/*.svgz
%_kde_services/perldoc.protocol
%_kde_services/ServiceMenus/subversion.desktop
%_kde_services/ServiceMenus/subversion_toplevel.desktop
%_kde_services/kded/ksvnd.desktop
%_kde_services/*.protocol
%_datadir/dbus-1/interfaces/org.kde.ksvnd.xml

#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

